IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/40
Addresses2^88
/64 networks16,777,216
- Network
2c19:ec00:2400::/40- First address
2c19:ec00:2400::- Last address
2c19:ec00:24ff:ffff:ffff:ffff:ffff:ffff- Addresses
- 309,485,009,821,345,068,724,781,056 (2^88)
- /64 networks (LANs)
- 16,777,216
- Full form
2c19:ec00:2400:0000:0000:0000:0000:0000- Type
- Global unicast 2000::/3
Public internet addresses - Reverse DNS zone
4.2.0.0.c.e.9.1.c.2.ip6.arpa
Split into smaller subnets
2c19:ec00:2400::/40 makes 256 subnets of /48.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2c19:ec00:2400::/48 | 2c19:ec00:2400:ffff:ffff:ffff:ffff:ffff |
| 2 | 2c19:ec00:2401::/48 | 2c19:ec00:2401:ffff:ffff:ffff:ffff:ffff |
| 3 | 2c19:ec00:2402::/48 | 2c19:ec00:2402:ffff:ffff:ffff:ffff:ffff |
| 4 | 2c19:ec00:2403::/48 | 2c19:ec00:2403:ffff:ffff:ffff:ffff:ffff |
| 5 | 2c19:ec00:2404::/48 | 2c19:ec00:2404:ffff:ffff:ffff:ffff:ffff |
| 6 | 2c19:ec00:2405::/48 | 2c19:ec00:2405:ffff:ffff:ffff:ffff:ffff |
| 7 | 2c19:ec00:2406::/48 | 2c19:ec00:2406:ffff:ffff:ffff:ffff:ffff |
| 8 | 2c19:ec00:2407::/48 | 2c19:ec00:2407:ffff:ffff:ffff:ffff:ffff |
| 9 | 2c19:ec00:2408::/48 | 2c19:ec00:2408:ffff:ffff:ffff:ffff:ffff |
| 10 | 2c19:ec00:2409::/48 | 2c19:ec00:2409:ffff:ffff:ffff:ffff:ffff |
| 11 | 2c19:ec00:240a::/48 | 2c19:ec00:240a:ffff:ffff:ffff:ffff:ffff |
| 12 | 2c19:ec00:240b::/48 | 2c19:ec00:240b:ffff:ffff:ffff:ffff:ffff |
| 13 | 2c19:ec00:240c::/48 | 2c19:ec00:240c:ffff:ffff:ffff:ffff:ffff |
| 14 | 2c19:ec00:240d::/48 | 2c19:ec00:240d:ffff:ffff:ffff:ffff:ffff |
| 15 | 2c19:ec00:240e::/48 | 2c19:ec00:240e:ffff:ffff:ffff:ffff:ffff |
| 16 | 2c19:ec00:240f::/48 | 2c19:ec00:240f:ffff:ffff:ffff:ffff:ffff |
| 17 | 2c19:ec00:2410::/48 | 2c19:ec00:2410:ffff:ffff:ffff:ffff:ffff |
| 18 | 2c19:ec00:2411::/48 | 2c19:ec00:2411:ffff:ffff:ffff:ffff:ffff |
| 19 | 2c19:ec00:2412::/48 | 2c19:ec00:2412:ffff:ffff:ffff:ffff:ffff |
| 20 | 2c19:ec00:2413::/48 | 2c19:ec00:2413:ffff:ffff:ffff:ffff:ffff |
| 21 | 2c19:ec00:2414::/48 | 2c19:ec00:2414:ffff:ffff:ffff:ffff:ffff |
| 22 | 2c19:ec00:2415::/48 | 2c19:ec00:2415:ffff:ffff:ffff:ffff:ffff |
| 23 | 2c19:ec00:2416::/48 | 2c19:ec00:2416:ffff:ffff:ffff:ffff:ffff |
| 24 | 2c19:ec00:2417::/48 | 2c19:ec00:2417:ffff:ffff:ffff:ffff:ffff |
| 25 | 2c19:ec00:2418::/48 | 2c19:ec00:2418:ffff:ffff:ffff:ffff:ffff |
| 26 | 2c19:ec00:2419::/48 | 2c19:ec00:2419:ffff:ffff:ffff:ffff:ffff |
| 27 | 2c19:ec00:241a::/48 | 2c19:ec00:241a:ffff:ffff:ffff:ffff:ffff |
| 28 | 2c19:ec00:241b::/48 | 2c19:ec00:241b:ffff:ffff:ffff:ffff:ffff |
| 29 | 2c19:ec00:241c::/48 | 2c19:ec00:241c:ffff:ffff:ffff:ffff:ffff |
| 30 | 2c19:ec00:241d::/48 | 2c19:ec00:241d:ffff:ffff:ffff:ffff:ffff |
| 31 | 2c19:ec00:241e::/48 | 2c19:ec00:241e:ffff:ffff:ffff:ffff:ffff |
| 32 | 2c19:ec00:241f::/48 | 2c19:ec00:241f:ffff:ffff:ffff:ffff:ffff |
| 33 | 2c19:ec00:2420::/48 | 2c19:ec00:2420:ffff:ffff:ffff:ffff:ffff |
| 34 | 2c19:ec00:2421::/48 | 2c19:ec00:2421:ffff:ffff:ffff:ffff:ffff |
| 35 | 2c19:ec00:2422::/48 | 2c19:ec00:2422:ffff:ffff:ffff:ffff:ffff |
| 36 | 2c19:ec00:2423::/48 | 2c19:ec00:2423:ffff:ffff:ffff:ffff:ffff |
| 37 | 2c19:ec00:2424::/48 | 2c19:ec00:2424:ffff:ffff:ffff:ffff:ffff |
| 38 | 2c19:ec00:2425::/48 | 2c19:ec00:2425:ffff:ffff:ffff:ffff:ffff |
| 39 | 2c19:ec00:2426::/48 | 2c19:ec00:2426:ffff:ffff:ffff:ffff:ffff |
| 40 | 2c19:ec00:2427::/48 | 2c19:ec00:2427:ffff:ffff:ffff:ffff:ffff |
| 41 | 2c19:ec00:2428::/48 | 2c19:ec00:2428:ffff:ffff:ffff:ffff:ffff |
| 42 | 2c19:ec00:2429::/48 | 2c19:ec00:2429:ffff:ffff:ffff:ffff:ffff |
| 43 | 2c19:ec00:242a::/48 | 2c19:ec00:242a:ffff:ffff:ffff:ffff:ffff |
| 44 | 2c19:ec00:242b::/48 | 2c19:ec00:242b:ffff:ffff:ffff:ffff:ffff |
| 45 | 2c19:ec00:242c::/48 | 2c19:ec00:242c:ffff:ffff:ffff:ffff:ffff |
| 46 | 2c19:ec00:242d::/48 | 2c19:ec00:242d:ffff:ffff:ffff:ffff:ffff |
| 47 | 2c19:ec00:242e::/48 | 2c19:ec00:242e:ffff:ffff:ffff:ffff:ffff |
| 48 | 2c19:ec00:242f::/48 | 2c19:ec00:242f:ffff:ffff:ffff:ffff:ffff |
| 49 | 2c19:ec00:2430::/48 | 2c19:ec00:2430:ffff:ffff:ffff:ffff:ffff |
| 50 | 2c19:ec00:2431::/48 | 2c19:ec00:2431:ffff:ffff:ffff:ffff:ffff |
| 51 | 2c19:ec00:2432::/48 | 2c19:ec00:2432:ffff:ffff:ffff:ffff:ffff |
| 52 | 2c19:ec00:2433::/48 | 2c19:ec00:2433:ffff:ffff:ffff:ffff:ffff |
| 53 | 2c19:ec00:2434::/48 | 2c19:ec00:2434:ffff:ffff:ffff:ffff:ffff |
| 54 | 2c19:ec00:2435::/48 | 2c19:ec00:2435:ffff:ffff:ffff:ffff:ffff |
| 55 | 2c19:ec00:2436::/48 | 2c19:ec00:2436:ffff:ffff:ffff:ffff:ffff |
| 56 | 2c19:ec00:2437::/48 | 2c19:ec00:2437:ffff:ffff:ffff:ffff:ffff |
| 57 | 2c19:ec00:2438::/48 | 2c19:ec00:2438:ffff:ffff:ffff:ffff:ffff |
| 58 | 2c19:ec00:2439::/48 | 2c19:ec00:2439:ffff:ffff:ffff:ffff:ffff |
| 59 | 2c19:ec00:243a::/48 | 2c19:ec00:243a:ffff:ffff:ffff:ffff:ffff |
| 60 | 2c19:ec00:243b::/48 | 2c19:ec00:243b:ffff:ffff:ffff:ffff:ffff |
| 61 | 2c19:ec00:243c::/48 | 2c19:ec00:243c:ffff:ffff:ffff:ffff:ffff |
| 62 | 2c19:ec00:243d::/48 | 2c19:ec00:243d:ffff:ffff:ffff:ffff:ffff |
| 63 | 2c19:ec00:243e::/48 | 2c19:ec00:243e:ffff:ffff:ffff:ffff:ffff |
| 64 | 2c19:ec00:243f::/48 | 2c19:ec00:243f:ffff:ffff:ffff:ffff:ffff |
| 65 | 2c19:ec00:2440::/48 | 2c19:ec00:2440:ffff:ffff:ffff:ffff:ffff |
| 66 | 2c19:ec00:2441::/48 | 2c19:ec00:2441:ffff:ffff:ffff:ffff:ffff |
| 67 | 2c19:ec00:2442::/48 | 2c19:ec00:2442:ffff:ffff:ffff:ffff:ffff |
| 68 | 2c19:ec00:2443::/48 | 2c19:ec00:2443:ffff:ffff:ffff:ffff:ffff |
| 69 | 2c19:ec00:2444::/48 | 2c19:ec00:2444:ffff:ffff:ffff:ffff:ffff |
| 70 | 2c19:ec00:2445::/48 | 2c19:ec00:2445:ffff:ffff:ffff:ffff:ffff |
| 71 | 2c19:ec00:2446::/48 | 2c19:ec00:2446:ffff:ffff:ffff:ffff:ffff |
| 72 | 2c19:ec00:2447::/48 | 2c19:ec00:2447:ffff:ffff:ffff:ffff:ffff |
| 73 | 2c19:ec00:2448::/48 | 2c19:ec00:2448:ffff:ffff:ffff:ffff:ffff |
| 74 | 2c19:ec00:2449::/48 | 2c19:ec00:2449:ffff:ffff:ffff:ffff:ffff |
| 75 | 2c19:ec00:244a::/48 | 2c19:ec00:244a:ffff:ffff:ffff:ffff:ffff |
| 76 | 2c19:ec00:244b::/48 | 2c19:ec00:244b:ffff:ffff:ffff:ffff:ffff |
| 77 | 2c19:ec00:244c::/48 | 2c19:ec00:244c:ffff:ffff:ffff:ffff:ffff |
| 78 | 2c19:ec00:244d::/48 | 2c19:ec00:244d:ffff:ffff:ffff:ffff:ffff |
| 79 | 2c19:ec00:244e::/48 | 2c19:ec00:244e:ffff:ffff:ffff:ffff:ffff |
| 80 | 2c19:ec00:244f::/48 | 2c19:ec00:244f:ffff:ffff:ffff:ffff:ffff |
| 81 | 2c19:ec00:2450::/48 | 2c19:ec00:2450:ffff:ffff:ffff:ffff:ffff |
| 82 | 2c19:ec00:2451::/48 | 2c19:ec00:2451:ffff:ffff:ffff:ffff:ffff |
| 83 | 2c19:ec00:2452::/48 | 2c19:ec00:2452:ffff:ffff:ffff:ffff:ffff |
| 84 | 2c19:ec00:2453::/48 | 2c19:ec00:2453:ffff:ffff:ffff:ffff:ffff |
| 85 | 2c19:ec00:2454::/48 | 2c19:ec00:2454:ffff:ffff:ffff:ffff:ffff |
| 86 | 2c19:ec00:2455::/48 | 2c19:ec00:2455:ffff:ffff:ffff:ffff:ffff |
| 87 | 2c19:ec00:2456::/48 | 2c19:ec00:2456:ffff:ffff:ffff:ffff:ffff |
| 88 | 2c19:ec00:2457::/48 | 2c19:ec00:2457:ffff:ffff:ffff:ffff:ffff |
| 89 | 2c19:ec00:2458::/48 | 2c19:ec00:2458:ffff:ffff:ffff:ffff:ffff |
| 90 | 2c19:ec00:2459::/48 | 2c19:ec00:2459:ffff:ffff:ffff:ffff:ffff |
| 91 | 2c19:ec00:245a::/48 | 2c19:ec00:245a:ffff:ffff:ffff:ffff:ffff |
| 92 | 2c19:ec00:245b::/48 | 2c19:ec00:245b:ffff:ffff:ffff:ffff:ffff |
| 93 | 2c19:ec00:245c::/48 | 2c19:ec00:245c:ffff:ffff:ffff:ffff:ffff |
| 94 | 2c19:ec00:245d::/48 | 2c19:ec00:245d:ffff:ffff:ffff:ffff:ffff |
| 95 | 2c19:ec00:245e::/48 | 2c19:ec00:245e:ffff:ffff:ffff:ffff:ffff |
| 96 | 2c19:ec00:245f::/48 | 2c19:ec00:245f:ffff:ffff:ffff:ffff:ffff |
| 97 | 2c19:ec00:2460::/48 | 2c19:ec00:2460:ffff:ffff:ffff:ffff:ffff |
| 98 | 2c19:ec00:2461::/48 | 2c19:ec00:2461:ffff:ffff:ffff:ffff:ffff |
| 99 | 2c19:ec00:2462::/48 | 2c19:ec00:2462:ffff:ffff:ffff:ffff:ffff |
| 100 | 2c19:ec00:2463::/48 | 2c19:ec00:2463:ffff:ffff:ffff:ffff:ffff |
| 101 | 2c19:ec00:2464::/48 | 2c19:ec00:2464:ffff:ffff:ffff:ffff:ffff |
| 102 | 2c19:ec00:2465::/48 | 2c19:ec00:2465:ffff:ffff:ffff:ffff:ffff |
| 103 | 2c19:ec00:2466::/48 | 2c19:ec00:2466:ffff:ffff:ffff:ffff:ffff |
| 104 | 2c19:ec00:2467::/48 | 2c19:ec00:2467:ffff:ffff:ffff:ffff:ffff |
| 105 | 2c19:ec00:2468::/48 | 2c19:ec00:2468:ffff:ffff:ffff:ffff:ffff |
| 106 | 2c19:ec00:2469::/48 | 2c19:ec00:2469:ffff:ffff:ffff:ffff:ffff |
| 107 | 2c19:ec00:246a::/48 | 2c19:ec00:246a:ffff:ffff:ffff:ffff:ffff |
| 108 | 2c19:ec00:246b::/48 | 2c19:ec00:246b:ffff:ffff:ffff:ffff:ffff |
| 109 | 2c19:ec00:246c::/48 | 2c19:ec00:246c:ffff:ffff:ffff:ffff:ffff |
| 110 | 2c19:ec00:246d::/48 | 2c19:ec00:246d:ffff:ffff:ffff:ffff:ffff |
| 111 | 2c19:ec00:246e::/48 | 2c19:ec00:246e:ffff:ffff:ffff:ffff:ffff |
| 112 | 2c19:ec00:246f::/48 | 2c19:ec00:246f:ffff:ffff:ffff:ffff:ffff |
| 113 | 2c19:ec00:2470::/48 | 2c19:ec00:2470:ffff:ffff:ffff:ffff:ffff |
| 114 | 2c19:ec00:2471::/48 | 2c19:ec00:2471:ffff:ffff:ffff:ffff:ffff |
| 115 | 2c19:ec00:2472::/48 | 2c19:ec00:2472:ffff:ffff:ffff:ffff:ffff |
| 116 | 2c19:ec00:2473::/48 | 2c19:ec00:2473:ffff:ffff:ffff:ffff:ffff |
| 117 | 2c19:ec00:2474::/48 | 2c19:ec00:2474:ffff:ffff:ffff:ffff:ffff |
| 118 | 2c19:ec00:2475::/48 | 2c19:ec00:2475:ffff:ffff:ffff:ffff:ffff |
| 119 | 2c19:ec00:2476::/48 | 2c19:ec00:2476:ffff:ffff:ffff:ffff:ffff |
| 120 | 2c19:ec00:2477::/48 | 2c19:ec00:2477:ffff:ffff:ffff:ffff:ffff |
| 121 | 2c19:ec00:2478::/48 | 2c19:ec00:2478:ffff:ffff:ffff:ffff:ffff |
| 122 | 2c19:ec00:2479::/48 | 2c19:ec00:2479:ffff:ffff:ffff:ffff:ffff |
| 123 | 2c19:ec00:247a::/48 | 2c19:ec00:247a:ffff:ffff:ffff:ffff:ffff |
| 124 | 2c19:ec00:247b::/48 | 2c19:ec00:247b:ffff:ffff:ffff:ffff:ffff |
| 125 | 2c19:ec00:247c::/48 | 2c19:ec00:247c:ffff:ffff:ffff:ffff:ffff |
| 126 | 2c19:ec00:247d::/48 | 2c19:ec00:247d:ffff:ffff:ffff:ffff:ffff |
| 127 | 2c19:ec00:247e::/48 | 2c19:ec00:247e:ffff:ffff:ffff:ffff:ffff |
| 128 | 2c19:ec00:247f::/48 | 2c19:ec00:247f:ffff:ffff:ffff:ffff:ffff |
| 129 | 2c19:ec00:2480::/48 | 2c19:ec00:2480:ffff:ffff:ffff:ffff:ffff |
| 130 | 2c19:ec00:2481::/48 | 2c19:ec00:2481:ffff:ffff:ffff:ffff:ffff |
| 131 | 2c19:ec00:2482::/48 | 2c19:ec00:2482:ffff:ffff:ffff:ffff:ffff |
| 132 | 2c19:ec00:2483::/48 | 2c19:ec00:2483:ffff:ffff:ffff:ffff:ffff |
| 133 | 2c19:ec00:2484::/48 | 2c19:ec00:2484:ffff:ffff:ffff:ffff:ffff |
| 134 | 2c19:ec00:2485::/48 | 2c19:ec00:2485:ffff:ffff:ffff:ffff:ffff |
| 135 | 2c19:ec00:2486::/48 | 2c19:ec00:2486:ffff:ffff:ffff:ffff:ffff |
| 136 | 2c19:ec00:2487::/48 | 2c19:ec00:2487:ffff:ffff:ffff:ffff:ffff |
| 137 | 2c19:ec00:2488::/48 | 2c19:ec00:2488:ffff:ffff:ffff:ffff:ffff |
| 138 | 2c19:ec00:2489::/48 | 2c19:ec00:2489:ffff:ffff:ffff:ffff:ffff |
| 139 | 2c19:ec00:248a::/48 | 2c19:ec00:248a:ffff:ffff:ffff:ffff:ffff |
| 140 | 2c19:ec00:248b::/48 | 2c19:ec00:248b:ffff:ffff:ffff:ffff:ffff |
| 141 | 2c19:ec00:248c::/48 | 2c19:ec00:248c:ffff:ffff:ffff:ffff:ffff |
| 142 | 2c19:ec00:248d::/48 | 2c19:ec00:248d:ffff:ffff:ffff:ffff:ffff |
| 143 | 2c19:ec00:248e::/48 | 2c19:ec00:248e:ffff:ffff:ffff:ffff:ffff |
| 144 | 2c19:ec00:248f::/48 | 2c19:ec00:248f:ffff:ffff:ffff:ffff:ffff |
| 145 | 2c19:ec00:2490::/48 | 2c19:ec00:2490:ffff:ffff:ffff:ffff:ffff |
| 146 | 2c19:ec00:2491::/48 | 2c19:ec00:2491:ffff:ffff:ffff:ffff:ffff |
| 147 | 2c19:ec00:2492::/48 | 2c19:ec00:2492:ffff:ffff:ffff:ffff:ffff |
| 148 | 2c19:ec00:2493::/48 | 2c19:ec00:2493:ffff:ffff:ffff:ffff:ffff |
| 149 | 2c19:ec00:2494::/48 | 2c19:ec00:2494:ffff:ffff:ffff:ffff:ffff |
| 150 | 2c19:ec00:2495::/48 | 2c19:ec00:2495:ffff:ffff:ffff:ffff:ffff |
| 151 | 2c19:ec00:2496::/48 | 2c19:ec00:2496:ffff:ffff:ffff:ffff:ffff |
| 152 | 2c19:ec00:2497::/48 | 2c19:ec00:2497:ffff:ffff:ffff:ffff:ffff |
| 153 | 2c19:ec00:2498::/48 | 2c19:ec00:2498:ffff:ffff:ffff:ffff:ffff |
| 154 | 2c19:ec00:2499::/48 | 2c19:ec00:2499:ffff:ffff:ffff:ffff:ffff |
| 155 | 2c19:ec00:249a::/48 | 2c19:ec00:249a:ffff:ffff:ffff:ffff:ffff |
| 156 | 2c19:ec00:249b::/48 | 2c19:ec00:249b:ffff:ffff:ffff:ffff:ffff |
| 157 | 2c19:ec00:249c::/48 | 2c19:ec00:249c:ffff:ffff:ffff:ffff:ffff |
| 158 | 2c19:ec00:249d::/48 | 2c19:ec00:249d:ffff:ffff:ffff:ffff:ffff |
| 159 | 2c19:ec00:249e::/48 | 2c19:ec00:249e:ffff:ffff:ffff:ffff:ffff |
| 160 | 2c19:ec00:249f::/48 | 2c19:ec00:249f:ffff:ffff:ffff:ffff:ffff |
| 161 | 2c19:ec00:24a0::/48 | 2c19:ec00:24a0:ffff:ffff:ffff:ffff:ffff |
| 162 | 2c19:ec00:24a1::/48 | 2c19:ec00:24a1:ffff:ffff:ffff:ffff:ffff |
| 163 | 2c19:ec00:24a2::/48 | 2c19:ec00:24a2:ffff:ffff:ffff:ffff:ffff |
| 164 | 2c19:ec00:24a3::/48 | 2c19:ec00:24a3:ffff:ffff:ffff:ffff:ffff |
| 165 | 2c19:ec00:24a4::/48 | 2c19:ec00:24a4:ffff:ffff:ffff:ffff:ffff |
| 166 | 2c19:ec00:24a5::/48 | 2c19:ec00:24a5:ffff:ffff:ffff:ffff:ffff |
| 167 | 2c19:ec00:24a6::/48 | 2c19:ec00:24a6:ffff:ffff:ffff:ffff:ffff |
| 168 | 2c19:ec00:24a7::/48 | 2c19:ec00:24a7:ffff:ffff:ffff:ffff:ffff |
| 169 | 2c19:ec00:24a8::/48 | 2c19:ec00:24a8:ffff:ffff:ffff:ffff:ffff |
| 170 | 2c19:ec00:24a9::/48 | 2c19:ec00:24a9:ffff:ffff:ffff:ffff:ffff |
| 171 | 2c19:ec00:24aa::/48 | 2c19:ec00:24aa:ffff:ffff:ffff:ffff:ffff |
| 172 | 2c19:ec00:24ab::/48 | 2c19:ec00:24ab:ffff:ffff:ffff:ffff:ffff |
| 173 | 2c19:ec00:24ac::/48 | 2c19:ec00:24ac:ffff:ffff:ffff:ffff:ffff |
| 174 | 2c19:ec00:24ad::/48 | 2c19:ec00:24ad:ffff:ffff:ffff:ffff:ffff |
| 175 | 2c19:ec00:24ae::/48 | 2c19:ec00:24ae:ffff:ffff:ffff:ffff:ffff |
| 176 | 2c19:ec00:24af::/48 | 2c19:ec00:24af:ffff:ffff:ffff:ffff:ffff |
| 177 | 2c19:ec00:24b0::/48 | 2c19:ec00:24b0:ffff:ffff:ffff:ffff:ffff |
| 178 | 2c19:ec00:24b1::/48 | 2c19:ec00:24b1:ffff:ffff:ffff:ffff:ffff |
| 179 | 2c19:ec00:24b2::/48 | 2c19:ec00:24b2:ffff:ffff:ffff:ffff:ffff |
| 180 | 2c19:ec00:24b3::/48 | 2c19:ec00:24b3:ffff:ffff:ffff:ffff:ffff |
| 181 | 2c19:ec00:24b4::/48 | 2c19:ec00:24b4:ffff:ffff:ffff:ffff:ffff |
| 182 | 2c19:ec00:24b5::/48 | 2c19:ec00:24b5:ffff:ffff:ffff:ffff:ffff |
| 183 | 2c19:ec00:24b6::/48 | 2c19:ec00:24b6:ffff:ffff:ffff:ffff:ffff |
| 184 | 2c19:ec00:24b7::/48 | 2c19:ec00:24b7:ffff:ffff:ffff:ffff:ffff |
| 185 | 2c19:ec00:24b8::/48 | 2c19:ec00:24b8:ffff:ffff:ffff:ffff:ffff |
| 186 | 2c19:ec00:24b9::/48 | 2c19:ec00:24b9:ffff:ffff:ffff:ffff:ffff |
| 187 | 2c19:ec00:24ba::/48 | 2c19:ec00:24ba:ffff:ffff:ffff:ffff:ffff |
| 188 | 2c19:ec00:24bb::/48 | 2c19:ec00:24bb:ffff:ffff:ffff:ffff:ffff |
| 189 | 2c19:ec00:24bc::/48 | 2c19:ec00:24bc:ffff:ffff:ffff:ffff:ffff |
| 190 | 2c19:ec00:24bd::/48 | 2c19:ec00:24bd:ffff:ffff:ffff:ffff:ffff |
| 191 | 2c19:ec00:24be::/48 | 2c19:ec00:24be:ffff:ffff:ffff:ffff:ffff |
| 192 | 2c19:ec00:24bf::/48 | 2c19:ec00:24bf:ffff:ffff:ffff:ffff:ffff |
| 193 | 2c19:ec00:24c0::/48 | 2c19:ec00:24c0:ffff:ffff:ffff:ffff:ffff |
| 194 | 2c19:ec00:24c1::/48 | 2c19:ec00:24c1:ffff:ffff:ffff:ffff:ffff |
| 195 | 2c19:ec00:24c2::/48 | 2c19:ec00:24c2:ffff:ffff:ffff:ffff:ffff |
| 196 | 2c19:ec00:24c3::/48 | 2c19:ec00:24c3:ffff:ffff:ffff:ffff:ffff |
| 197 | 2c19:ec00:24c4::/48 | 2c19:ec00:24c4:ffff:ffff:ffff:ffff:ffff |
| 198 | 2c19:ec00:24c5::/48 | 2c19:ec00:24c5:ffff:ffff:ffff:ffff:ffff |
| 199 | 2c19:ec00:24c6::/48 | 2c19:ec00:24c6:ffff:ffff:ffff:ffff:ffff |
| 200 | 2c19:ec00:24c7::/48 | 2c19:ec00:24c7:ffff:ffff:ffff:ffff:ffff |
| 201 | 2c19:ec00:24c8::/48 | 2c19:ec00:24c8:ffff:ffff:ffff:ffff:ffff |
| 202 | 2c19:ec00:24c9::/48 | 2c19:ec00:24c9:ffff:ffff:ffff:ffff:ffff |
| 203 | 2c19:ec00:24ca::/48 | 2c19:ec00:24ca:ffff:ffff:ffff:ffff:ffff |
| 204 | 2c19:ec00:24cb::/48 | 2c19:ec00:24cb:ffff:ffff:ffff:ffff:ffff |
| 205 | 2c19:ec00:24cc::/48 | 2c19:ec00:24cc:ffff:ffff:ffff:ffff:ffff |
| 206 | 2c19:ec00:24cd::/48 | 2c19:ec00:24cd:ffff:ffff:ffff:ffff:ffff |
| 207 | 2c19:ec00:24ce::/48 | 2c19:ec00:24ce:ffff:ffff:ffff:ffff:ffff |
| 208 | 2c19:ec00:24cf::/48 | 2c19:ec00:24cf:ffff:ffff:ffff:ffff:ffff |
| 209 | 2c19:ec00:24d0::/48 | 2c19:ec00:24d0:ffff:ffff:ffff:ffff:ffff |
| 210 | 2c19:ec00:24d1::/48 | 2c19:ec00:24d1:ffff:ffff:ffff:ffff:ffff |
| 211 | 2c19:ec00:24d2::/48 | 2c19:ec00:24d2:ffff:ffff:ffff:ffff:ffff |
| 212 | 2c19:ec00:24d3::/48 | 2c19:ec00:24d3:ffff:ffff:ffff:ffff:ffff |
| 213 | 2c19:ec00:24d4::/48 | 2c19:ec00:24d4:ffff:ffff:ffff:ffff:ffff |
| 214 | 2c19:ec00:24d5::/48 | 2c19:ec00:24d5:ffff:ffff:ffff:ffff:ffff |
| 215 | 2c19:ec00:24d6::/48 | 2c19:ec00:24d6:ffff:ffff:ffff:ffff:ffff |
| 216 | 2c19:ec00:24d7::/48 | 2c19:ec00:24d7:ffff:ffff:ffff:ffff:ffff |
| 217 | 2c19:ec00:24d8::/48 | 2c19:ec00:24d8:ffff:ffff:ffff:ffff:ffff |
| 218 | 2c19:ec00:24d9::/48 | 2c19:ec00:24d9:ffff:ffff:ffff:ffff:ffff |
| 219 | 2c19:ec00:24da::/48 | 2c19:ec00:24da:ffff:ffff:ffff:ffff:ffff |
| 220 | 2c19:ec00:24db::/48 | 2c19:ec00:24db:ffff:ffff:ffff:ffff:ffff |
| 221 | 2c19:ec00:24dc::/48 | 2c19:ec00:24dc:ffff:ffff:ffff:ffff:ffff |
| 222 | 2c19:ec00:24dd::/48 | 2c19:ec00:24dd:ffff:ffff:ffff:ffff:ffff |
| 223 | 2c19:ec00:24de::/48 | 2c19:ec00:24de:ffff:ffff:ffff:ffff:ffff |
| 224 | 2c19:ec00:24df::/48 | 2c19:ec00:24df:ffff:ffff:ffff:ffff:ffff |
| 225 | 2c19:ec00:24e0::/48 | 2c19:ec00:24e0:ffff:ffff:ffff:ffff:ffff |
| 226 | 2c19:ec00:24e1::/48 | 2c19:ec00:24e1:ffff:ffff:ffff:ffff:ffff |
| 227 | 2c19:ec00:24e2::/48 | 2c19:ec00:24e2:ffff:ffff:ffff:ffff:ffff |
| 228 | 2c19:ec00:24e3::/48 | 2c19:ec00:24e3:ffff:ffff:ffff:ffff:ffff |
| 229 | 2c19:ec00:24e4::/48 | 2c19:ec00:24e4:ffff:ffff:ffff:ffff:ffff |
| 230 | 2c19:ec00:24e5::/48 | 2c19:ec00:24e5:ffff:ffff:ffff:ffff:ffff |
| 231 | 2c19:ec00:24e6::/48 | 2c19:ec00:24e6:ffff:ffff:ffff:ffff:ffff |
| 232 | 2c19:ec00:24e7::/48 | 2c19:ec00:24e7:ffff:ffff:ffff:ffff:ffff |
| 233 | 2c19:ec00:24e8::/48 | 2c19:ec00:24e8:ffff:ffff:ffff:ffff:ffff |
| 234 | 2c19:ec00:24e9::/48 | 2c19:ec00:24e9:ffff:ffff:ffff:ffff:ffff |
| 235 | 2c19:ec00:24ea::/48 | 2c19:ec00:24ea:ffff:ffff:ffff:ffff:ffff |
| 236 | 2c19:ec00:24eb::/48 | 2c19:ec00:24eb:ffff:ffff:ffff:ffff:ffff |
| 237 | 2c19:ec00:24ec::/48 | 2c19:ec00:24ec:ffff:ffff:ffff:ffff:ffff |
| 238 | 2c19:ec00:24ed::/48 | 2c19:ec00:24ed:ffff:ffff:ffff:ffff:ffff |
| 239 | 2c19:ec00:24ee::/48 | 2c19:ec00:24ee:ffff:ffff:ffff:ffff:ffff |
| 240 | 2c19:ec00:24ef::/48 | 2c19:ec00:24ef:ffff:ffff:ffff:ffff:ffff |
| 241 | 2c19:ec00:24f0::/48 | 2c19:ec00:24f0:ffff:ffff:ffff:ffff:ffff |
| 242 | 2c19:ec00:24f1::/48 | 2c19:ec00:24f1:ffff:ffff:ffff:ffff:ffff |
| 243 | 2c19:ec00:24f2::/48 | 2c19:ec00:24f2:ffff:ffff:ffff:ffff:ffff |
| 244 | 2c19:ec00:24f3::/48 | 2c19:ec00:24f3:ffff:ffff:ffff:ffff:ffff |
| 245 | 2c19:ec00:24f4::/48 | 2c19:ec00:24f4:ffff:ffff:ffff:ffff:ffff |
| 246 | 2c19:ec00:24f5::/48 | 2c19:ec00:24f5:ffff:ffff:ffff:ffff:ffff |
| 247 | 2c19:ec00:24f6::/48 | 2c19:ec00:24f6:ffff:ffff:ffff:ffff:ffff |
| 248 | 2c19:ec00:24f7::/48 | 2c19:ec00:24f7:ffff:ffff:ffff:ffff:ffff |
| 249 | 2c19:ec00:24f8::/48 | 2c19:ec00:24f8:ffff:ffff:ffff:ffff:ffff |
| 250 | 2c19:ec00:24f9::/48 | 2c19:ec00:24f9:ffff:ffff:ffff:ffff:ffff |
| 251 | 2c19:ec00:24fa::/48 | 2c19:ec00:24fa:ffff:ffff:ffff:ffff:ffff |
| 252 | 2c19:ec00:24fb::/48 | 2c19:ec00:24fb:ffff:ffff:ffff:ffff:ffff |
| 253 | 2c19:ec00:24fc::/48 | 2c19:ec00:24fc:ffff:ffff:ffff:ffff:ffff |
| 254 | 2c19:ec00:24fd::/48 | 2c19:ec00:24fd:ffff:ffff:ffff:ffff:ffff |
| 255 | 2c19:ec00:24fe::/48 | 2c19:ec00:24fe:ffff:ffff:ffff:ffff:ffff |
| 256 | 2c19:ec00:24ff::/48 | 2c19:ec00:24ff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |